Name: celestia
Version: 1.3.2
Release: alt2
License: GPL
Group: Education
Summary: A real-time visual space simulation
URL: http://www.shatters.net/celestia/
Source: %{name}-%{version}.tar.gz
Patch1: celestia-1.3.2_gcc-3.4.patch


# Automatically added by buildreq on Tue Jan 18 2005
BuildRequires: boson fontconfig freetype2 gcc-c++ gcc-java hostinfo kde-i18n-ru kde-settings kdelibs-devel libarts-devel libgcj-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xml-utils xorg-x11-devel xorg-x11-libs xorg-x11-mesaGL zlib-devel

%description
Celestia is a free real-time space simulation that
lets you experienceour universe in three dimensions.
Unlike most planetarium software, Celestia does not
confine you to the surface of the Earth. You can
travelthroughout the solar system, to any of over
100,000 stars, or even beyondthe galaxy.

%prep
%setup -q 
%__subst 's,\.la,\.so,' configure
%patch1 -p0 -R


%build
%configure --disable-rpath --with-kde --with-glut=no --with-gtk=no
make

%install
%__mkdir_p  %buildroot{%_bindir,%_datadir,%_menudir}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export GCONF_SCHEMA_FILE_DIR="%{buildroot}%{_sysconfdir}/gconf/schemas"
make install DESTDIR=%buildroot
##   (?) ,     %buildroot%buildroot
%__rm -f %buildroot%buidlroot
%find_lang %{name}


# Menu                                                                          
%__cat << EOF > %buildroot%_menudir/%name
?package(celestia): needs="X11" section="Applications/Edutainment" title="Celestia" longtitle="Visual space simulation" command="/usr/bin/celestia" icon="celestia.png"
EOF


%post
%update_menus
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/celestia.schemas &>/dev/null || :

%preun
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/celestia.schemas &>/dev/null || :

%postun
%clean_menus

%files -f %{name}.lang
%_bindir/*
%_datadir/apps/*
%_datadir/applnk/*
%_datadir/config/*
## %_datadir/locale/*
%_datadir/mimelnk/*
%_datadir/services/*
%_menudir/*
# %_iconsdir/hicolor/*
%_iconsdir/*/*/*/*.png
%_defaultdocdir/HTML/en/* 
%doc ChangeLog TODO TRANSLATORS README NEWS 


%changelog
* Tue Jan 18 2005 Eugene V. Horohorin <genix@altlinux.ru> 1.3.2-alt2
- this build make more gcc3.4 compatible

* Wed Sep 22 2004 Eugene V. Horohorin <genix@altlinux.org> 1.3.2-alt1
- new version

* Wed Jun 23 2004 Eugene V. Horohorin <genix@altlinux.ru> 1.3.1-alt2
- spec clean up

* Sat May 08 2004 Eugene V. Horohorin <genix@altlinux.ru> 1.3.1-alt1
- First build.

